## com.bbn.openmap.layer.rpf
Class RpfSubframe

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfSubframe

public class RpfSubframe
extends java.lang.Object

The RpfSubframe is a holder for images and attributes within the cache.

Field Summary
`protected int` `colorModel` The color model of the image.
`protected java.lang.String` `data` The actual attribute information.
`OMScalingRaster` `image` The subframe image.
`OMText` `information` The attribute text.
`int` `nextSubframe` The pointers to the surrounding subframes in the cache.
`int` `opaqueness` The opaqueness of the image.
`static int` `PIXEL_EDGE_SIZE` The original pixel size of RPF Subframes.
`int` `prevSubframe` The pointers to the surrounding subframes in the cache.
`OMRect` `rectangle` The subframe outline.
`byte` `version` The version of the subframe, used by the cache for marking how recently used the subframe was.

Constructor Summary
`RpfSubframe()`
`RpfSubframe(int colormodel)`

Method Summary
`java.lang.String` `getAttributeText()` getAttributeText retrieves the text that would be displayed as attribute information about the subframe.
`int` `getColorModel()`
`protected void` `init(int colormodel)`
`void` `setAttributeText(java.lang.String text)` setScalingTo has to be called after this for the changes to take place, or else you need to call the information.setData() methods directly.
`void` `setColorModel(int colorModel)`
`void` `setLocation(float lat, float lon)` Deprecated. use the other setLocation, with upper left and lower right coordinates.
`void` `setLocation(float ulat, float wlon, float llat, float elon)` Set the lat/lon of the frame and attribute text.
`void` `setScalingTo(int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public byte version

  The version of the subframe, used by the cache for marking how recently used the subframe was.

### image

    public OMScalingRaster image

  The subframe image.

### information

    public OMText information

  The attribute text.

### rectangle

    public OMRect rectangle

  The subframe outline.

### nextSubframe

    public int nextSubframe

  The pointers to the surrounding subframes in the cache.

### prevSubframe

    public int prevSubframe

  The pointers to the surrounding subframes in the cache.

### PIXEL_EDGE_SIZE

    public static final int PIXEL_EDGE_SIZE

  The original pixel size of RPF Subframes.

  See Also:
    Constant Field Values

### colorModel

    protected int colorModel

  The color model of the image.

### data

    protected java.lang.String data

  The actual attribute information.

### opaqueness

    public int opaqueness

  The opaqueness of the image.

Constructor Detail

### RpfSubframe

    public RpfSubframe()

### RpfSubframe

    public RpfSubframe(int colormodel)
                throws java.lang.OutOfMemoryError

Method Detail

### init

    protected void init(int colormodel)

### getColorModel

    public int getColorModel()

### setColorModel

    public void setColorModel(int colorModel)

### setScalingTo

    public void setScalingTo(int width,
                             int height)

### setLocation

    public void setLocation(float lat,
                            float lon)

  Deprecated. use the other setLocation, with upper left and lower right coordinates.

  Set the lat/lon of the frame and attribute text.

  Parameters:
    `lat` - latitude of upper left point, in decimal degrees.
    `lon` - longitude of upper left point, in decimal degrees.

### setLocation

    public void setLocation(float ulat,
                            float wlon,
                            float llat,
                            float elon)

  Set the lat/lon of the frame and attribute text.

  Parameters:
    `ulat` - latitude of upper left point, in decimal degrees.
    `wlon` - longitude of upper left point, in decimal degrees.
    `llat` - latitude of lower right point, in decimal degrees.
    `elon` - longitude of lower right point, in decimal degrees.

### setAttributeText

    public void setAttributeText(java.lang.String text)

  setScalingTo has to be called after this for the changes to take place, or else you need to call the information.setData() methods directly.

### getAttributeText

    public java.lang.String getAttributeText()

  getAttributeText retrieves the text that would be displayed as attribute information about the subframe.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details